%define _legacy_common_support 1

Summary: A GNU utility for secure communication and data storage
Name: gnupg1
Version: 1.4.23
Release:    1%{?dist}
License: GPL-3.0-or-later WITH Classpath-exception-2.0
URL: http://www.gnupg.org/
Source0: https://gnupg.org/ftp/gcrypt/gnupg/gnupg-%{version}.tar.bz2
Source1: https://gnupg.org/ftp/gcrypt/gnupg/gnupg-%{version}.tar.bz2.sig
Source2: gnupg-shm-coprocessing.expect
Patch0000: gnupg-1.4.1-gcc.patch
Patch0001: 0001-Rename-package-to-gnupg1-1656282.patch
Patch0002: 0002-g10-status.c-Backport-fix-for-status-buffer-overrun.patch
Patch0003: gnupg1-configure-c99.patch

BuildRequires: gcc
BuildRequires: autoconf >= 2.60
BuildRequires: git-core
BuildRequires: automake, bzip2-devel, expect, ncurses-devel
BuildRequires: openldap-devel, readline-devel, zlib-devel, gettext-devel
BuildRequires: curl-devel
BuildRequires: make
%ifnarch s390 s390x
BuildRequires: libusb-compat-0.1-devel
%endif
Provides: gpg1 = %{version}-%{release}

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).

%prep
%autosetup -S git -n gnupg-%{version}
iconv -f iso-8859-15 -t utf-8 THANKS > THANKS.utf8
mv THANKS.utf8 THANKS
git commit -a -m "run iconv"
git tag -a %{name}-%{version} -m "baseline"

autoreconf -vif

%build
configure_flags=

%ifarch ppc64 sparc64
configure_flags=--disable-asm
%endif

export CFLAGS="%{build_cflags} -DPIC"
%configure \
    --disable-rpath \
    --disable-exec \
    --with-zlib --enable-noexecstack \
    $configure_flags
%make_build
env LANG=C expect -f %{SOURCE2}

%check
make check

%install
%make_install
sed 's^\.\./g[0-9\.]*/^^g' tools/lspgpot > lspgpot
install -pm755 lspgpot %{buildroot}%{_bindir}/lspgpot
rm -f %{buildroot}/%{_infodir}/dir

for f in gpg gpgv gpg-zip gpgsplit; do
    mv %{buildroot}%{_bindir}/${f} %{buildroot}%{_bindir}/${f}1
done

for f in gpg gpgv gpg-zip; do
    mv %{buildroot}%{_mandir}/man1/${f}.1 %{buildroot}%{_mandir}/man1/${f}1.1
done
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS BUGS NEWS PROJECTS README THANKS TODO
%doc doc/DETAILS doc/HACKING doc/OpenPGP doc/samplekeys.asc
%{_bindir}/gpg1
%{_bindir}/gpgv1
%{_bindir}/gpg-zip1
%{_bindir}/gpgsplit1
%{_bindir}/lspgpot
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/FAQ
%{_datadir}/%{name}/options.skel
%{_infodir}/gnupg1.info.*
%{_mandir}/man1/gpg-zip1.1.gz
%{_mandir}/man1/gpg1.1.gz
%{_mandir}/man1/gpgv1.1.gz

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.23-1
- initial build
